Skip to main content
PATCH
/
projects
/
{projectId}
/
annotations
/
{annotationId}
Patch Annotation
curl --request PATCH \
  --url https://{regionAndDomain}.com/api/app/projects/{projectId}/annotations/{annotationId} \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "description": "Something interesting happened!",
  "tags": [
    123
  ]
}
'
import requests

url = "https://{regionAndDomain}.com/api/app/projects/{projectId}/annotations/{annotationId}"

payload = {
"description": "Something interesting happened!",
"tags": [123]
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({description: 'Something interesting happened!', tags: [123]})
};

fetch('https://{regionAndDomain}.com/api/app/projects/{projectId}/annotations/{annotationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": "ok",
  "results": {
    "date": "2022-02-15 12:00:00",
    "description": "Something interesting happened!",
    "id": 123,
    "user": {
      "id": 123,
      "first_name": "John",
      "last_name": "Smith"
    },
    "tags": [
      {
        "id": 123,
        "name": "<string>"
      }
    ]
  }
}
{
"error": "<string>",
"status": "error"
}
{
"error": "<string>",
"status": "error"
}

Authorizations

Authorization
string
header
required

Service Account

Path Parameters

projectId
integer
required

Your project id (eg: 12345)

annotationId
number
required

The id of the annotation

Body

application/json
description
string

The text that will be shown when looking at the annotation

Example:

"Something interesting happened!"

tags
number[]

The ids of the tags to be added to the annotation

Response

Success

A JSON response object containing an annotation'

status
string
required

The status of the response

Example:

"ok"

results
AnnotationsEntry · object
required

Representation of a single annotation